
From: Jan Dittmer <jdittmer@ppp0.net>

Convert module_param in tda7432 and tda9875.  I hope I got the file
permissions right.

Signed-off-by: Jan Dittmer <jdittmer@ppp0.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/tda7432.c |   12 ++++++------
 25-akpm/drivers/media/video/tda9875.c |    4 ++--
 2 files changed, 8 insertions(+), 8 deletions(-)

diff -puN drivers/media/video/tda7432.c~media-video-module_param-conversion drivers/media/video/tda7432.c
--- 25/drivers/media/video/tda7432.c~media-video-module_param-conversion	2004-11-13 17:56:59.493398872 -0800
+++ 25-akpm/drivers/media/video/tda7432.c	2004-11-13 17:56:59.506396896 -0800
@@ -60,13 +60,13 @@ MODULE_AUTHOR("Eric Sandeen <eric_sandee
 MODULE_DESCRIPTION("bttv driver for the tda7432 audio processor chip");
 MODULE_LICENSE("GPL");
 
-MODULE_PARM(debug,"i");
-MODULE_PARM(loudness,"i");
+static int maxvol;
+static int loudness; /* disable loudness by default */
+static int debug;	 /* insmod parameter */
+module_param(debug, int, S_IRUGO | S_IWUSR);
+module_param(loudness, int, S_IRUGO);
 MODULE_PARM_DESC(maxvol,"Set maximium volume to +20db (0), default is 0db(1)");
-MODULE_PARM(maxvol,"i");
-static int maxvol = 0;
-static int loudness = 0; /* disable loudness by default */
-static int debug = 0;	 /* insmod parameter */
+module_param(maxvol, int, S_IRUGO | S_IWUSR);
 
 
 /* Address to scan (I2C address of this chip) */
diff -puN drivers/media/video/tda9875.c~media-video-module_param-conversion drivers/media/video/tda9875.c
--- 25/drivers/media/video/tda9875.c~media-video-module_param-conversion	2004-11-13 17:56:59.503397352 -0800
+++ 25-akpm/drivers/media/video/tda9875.c	2004-11-13 17:56:59.507396744 -0800
@@ -34,10 +34,10 @@
 #include <media/audiochip.h>
 #include <media/id.h>
 
-MODULE_PARM(debug,"i");
+static int debug; /* insmod parameter */
+module_param(debug, int, S_IRUGO | S_IWUSR);
 MODULE_LICENSE("GPL");
 
-static int debug = 0;	/* insmod parameter */
 
 /* Addresses to scan */
 static unsigned short normal_i2c[] =  {
_
